#!/bin/bash
. profile

tar -xf src/binutils-${BINUTILS_VERSION}.tar.xz -C tmp
cd tmp/binutils-${BINUTILS_VERSION} &&
mkdir ../binutils-build &&
cd ../binutils-build &&
../binutils-${BINUTILS_VERSION}/configure --prefix=/tools --disable-nls --disable-werror \
  --enable-64-bit-bfd &&
make -j6 &&
make install &&
make -C ld clean &&
if [ "$(arch)" = "x86_64" ]; then
  make -C ld LIB_PATH=/tools/lib:/tools/lib/32
else
  make -C ld LIB_PATH=/tools/lib
fi &&
cp -v ld/ld-new /tools/bin &&
cd ../.. &&
rm -rf tmp/binutils-{${BINUTILS_VERSION},build}
