#!/bin/bash
. profile

tar -xf src/binutils-${BINUTILS_VERSION}.tar.xz -C tmp &&
cd tmp/binutils-${BINUTILS_VERSION} &&
mkdir ../binutils-build &&
cd ../binutils-build &&
if [ "$(arch)" = "x86_64" ]; then
  ../binutils-${BINUTILS_VERSION}/configure --prefix=/tools \
    --disable-nls --with-lib-path=/tools/lib:/tools/lib/32
else
  ../binutils-${BINUTILS_VERSION}/configure --prefix=/tools \
    --disable-nls --with-lib-path=/tools/lib
fi &&
make &&
#make check &&
make install &&
cp -v ld/ld-new /tools/bin/ld &&
ln -svf /tools/bin/ld /tools/$(gcc -dumpmachine)/bin/ld &&
make -C ld clean &&
if [ "$(arch)" = "x86_64" ]; then
  make -C ld LIB_PATH=/usr/lib:/lib:/usr/lib/32:/lib/32
else
  make -C ld LIB_PATH=/usr/lib:/lib
fi &&
cp -v ld/ld-new /tools/bin  &&
cd ../.. &&
rm -rf tmp/binutils-{${BINUTILS_VERSION},build}
