#!/bin/bash
. profile

tar -xf src/gcc-${GCC_VERSION}.tar.xz -C tmp
cd tmp/gcc-${GCC_VERSION} &&
tar -xf ../../src/mpfr-${MPFR_VERSION}.tar.xz &&
tar -xf ../../src/gmp-${GMP_VERSION}.tar.xz &&
mv mpfr-${MPFR_VERSION} mpfr &&
mv gmp-${GMP_VERSION} gmp &&
sed -i 's@\./fixinc\.sh@-c true@' gcc/Makefile.in &&
if [ "$(arch)" = "x86_64" ]; then
  sed -i -e 's@/lib64/ld-linux-x86-64.so.2@/lib/ld-linux-x86-64.so.2@g' \
          gcc/config/i386/linux64.h &&
  sed -i -e '/MULTILIB_OSDIRNAMES/d' gcc/config/i386/t-linux64 &&
  echo "MULTILIB_OSDIRNAMES = ../lib ../lib/32" >> gcc/config/i386/t-linux64
fi &&
tar -xf ../../src/mpfr-${MPFR_VERSION}.tar.xz &&
mv -v mpfr-${MPFR_VERSION} mpfr &&
tar -xf ../../src/gmp-${GMP_VERSION}.tar.xz &&
mv -v gmp-${GMP_VERSION} gmp &&
tar -xf ../../src/mpc-${MPC_VERSION}.tar.xz &&
mv mpc-${MPC_VERSION} mpc &&
mkdir ../gcc-build &&
cd ../gcc-build &&
../gcc-${GCC_VERSION}/configure \
    --prefix=/tools \
    --disable-nls --disable-shared \
    --disable-decimal-float --disable-threads \
    --disable-libmudflap --disable-libssp \
    --disable-libgomp --disable-libquadmath \
    --disable-target-libiberty --disable-target-zlib \
    --enable-languages=c --without-ppl --without-cloog \
    --enable-long-long  &&
make -j6 &&
make install &&
ln -vsf gcc /tools/bin/cc &&
ln -vsf libgcc.a `gcc -print-libgcc-file-name | \
    sed 's/libgcc/&_eh/'` &&
if [ "$(arch)" = "x86_64" ]; then
  ln -vsf libgcc.a `gcc -m32 -print-libgcc-file-name | \
    sed 's/libgcc/&_eh/'`
fi &&
cd ../.. &&
rm -rf tmp/gcc-{${GCC_VERSION},build}
#    --with-gmp-include=`pwd`/gmp --with-gmp-lib=`pwd`/gmp/.libs \
