#!/bin/bash
. profile

tar -xf src/gcc-${GCC_VERSION}.tar.xz -C tmp &&
cd tmp/gcc-${GCC_VERSION} &&
patch -Np1 -i ../../src/gcc-${GCC_VERSION}-startfiles_fix-1.patch &&
sed -i 's@\./fixinc\.sh@-c true@' gcc/Makefile.in &&
if [ "$(arch)" = "x86_64" ]; then
  sed -i -e 's@/lib/ld-linux.so.2@/tools/lib/ld-linux.so.2@g' \
         -e 's@/lib64/ld-linux-x86-64.so.2@/tools/lib/ld-linux-x86-64.so.2@g' \
         -e 's@/usr@/tools@g'  gcc/config/i386/linux64.h &&
  sed -i -e 's@/lib/ld-linux.so.2@/tools/lib/ld-linux.so.2@g' \
         -e 's@/usr@/tools@g'  gcc/config/i386/linux.h &&
  sed -i -e '/MULTILIB_OSDIRNAMES/d' \
         -e 's@/usr@/tools@g'  gcc/config/i386/t-linux64
else
  sed -i -e 's@/lib/ld-linux.so.2@/tools/lib/ld-linux.so.2@g' \
         -e 's@/usr@/tools@g'  gcc/config/i386/linux64.h &&
  sed -i -e 's@/lib/ld-linux.so.2@/tools/lib/ld-linux.so.2@g' \
         -e 's@/usr@/tools@g'  gcc/config/i386/linux.h &&
  sed -i -e '/MULTILIB_OSDIRNAMES/d' \
         -e 's@/usr@/tools@g'  gcc/config/i386/t-linux64
fi &&
tar -xf ../../src/mpfr-${MPFR_VERSION}.tar.xz &&
mv -v mpfr-${MPFR_VERSION} mpfr &&
tar -xf ../../src/gmp-${GMP_VERSION}.tar.xz &&
mv -v gmp-${GMP_VERSION} gmp &&
tar -xf ../../src/mpc-${MPC_VERSION}.tar.xz &&
mv mpc-${MPC_VERSION} mpc &&
cd ../.. &&
mkdir tmp/gcc-build &&
cd tmp/gcc-build &&
../gcc-${GCC_VERSION}/configure --prefix=/tools \
  --with-local-prefix=/tools --enable-clocale=gnu \
  --enable-shared --enable-threads=posix \
  --enable-__cxa_atexit --enable-languages=c,c++ \
  --disable-libstdcxx-pch --disable-bootstrap \
  --enable-long-long \
  --without-ppl --without-cloog &&
make -j6 &&
make install &&
cd ../.. &&
rm -rf tmp/gcc-{${GCC_VERSION},build}
#  --with-gmp-include=`pwd`/gmp --with-gmp-lib=`pwd`/gmp/.libs \
