#!/bin/bash
. profile

tar -xf src/glibc-${GLIBC_VERSION}.tar.xz -C tmp
cd tmp/glibc-${GLIBC_VERSION} &&
patch -Np1 -i ../../src/glibc-${GLIBC_VERSION}-gcc_fix-1.patch &&
patch -Np1 -i ../../src/glibc-${GLIBC_VERSION}-cpuid-1.patch &&
mkdir ../glibc-build &&
cd ../glibc-build &&
if [ "$(arch)" = "i686" ]; then
  echo "CFLAGS += -march=native" > configparms
fi &&
../glibc-${GLIBC_VERSION}/configure --prefix=/tools \
  --disable-profile --enable-add-ons \
  --enable-kernel=2.6.37 --with-headers=/tools/include \
  libc_cv_forced_unwind=yes libc_cv_c_cleanup=yes &&
make -j6 &&
mkdir -p /tools/etc &&
touch /tools/etc/ld.so.conf &&
make install &&
mkdir -pv /tools/lib/locale &&
localedef -i cs_CZ -f UTF-8 cs_CZ.UTF-8 &&
localedef -i de_DE -f ISO-8859-1 de_DE &&
localedef -i de_DE@euro -f ISO-8859-15 de_DE@euro &&
localedef -i de_DE -f UTF-8 de_DE.UTF-8 &&
localedef -i en_HK -f ISO-8859-1 en_HK &&
localedef -i en_PH -f ISO-8859-1 en_PH &&
localedef -i en_US -f ISO-8859-1 en_US &&
localedef -i en_US -f UTF-8 en_US.UTF-8 &&
localedef -i es_MX -f ISO-8859-1 es_MX &&
localedef -i fa_IR -f UTF-8 fa_IR &&
localedef -i fr_FR -f ISO-8859-1 fr_FR &&
localedef -i fr_FR@euro -f ISO-8859-15 fr_FR@euro &&
localedef -i fr_FR -f UTF-8 fr_FR.UTF-8 &&
localedef -i it_IT -f ISO-8859-1 it_IT &&
localedef -i ja_JP -f EUC-JP ja_JP &&
localedef -i tr_TR -f UTF-8 tr_TR.UTF-8 &&
localedef -i zh_CN -f GB18030 zh_CN.GB18030 &&
localedef -i de_DE -f ISO-8859-1 de_DE &&
localedef -i de_DE@euro -f ISO-8859-15 de_DE@euro &&
localedef -i en_HK -f ISO-8859-1 en_HK &&
localedef -i en_PH -f ISO-8859-1 en_PH &&
localedef -i en_US -f ISO-8859-1 en_US &&
localedef -i en_US -f UTF-8 en_US.UTF-8 &&
localedef -i es_MX -f ISO-8859-1 es_MX &&
localedef -i fa_IR -f UTF-8 fa_IR &&
localedef -i fr_FR -f ISO-8859-1 fr_FR &&
localedef -i fr_FR@euro -f ISO-8859-15 fr_FR@euro &&
localedef -i fr_FR -f UTF-8 fr_FR.UTF-8 &&
localedef -i it_IT -f ISO-8859-1 it_IT &&
localedef -i ja_JP -f EUC-JP ja_JP &&
cd ../.. &&
rm -rf tmp/glibc-{${GLIBC_VERSION},build}
