#!/bin/bash
. profile

tar -xf src/glibc-${GLIBC_VERSION}.tar.xz -C tmp
cd tmp/glibc-${GLIBC_VERSION} &&
patch -Np1 -i ../../src/glibc-${GLIBC_VERSION}-gcc_fix-1.patch &&
patch -Np1 -i ../../src/glibc-${GLIBC_VERSION}-cpuid-1.patch &&
mkdir ../glibc-build &&
cd ../glibc-build &&
echo "CFLAGS += -march=native" > configparms &&
echo "slibdir=/tools/lib/32" >> configparms &&
CC="gcc -m32" CXX="g++ -m32" \
../glibc-${GLIBC_VERSION}/configure --prefix=/tools \
  --disable-profile --enable-add-ons \
  --enable-kernel=2.6.37 --with-headers=/tools/include \
  --host=i686-pc-linux-gnu \
  --libexecdir=/tools/lib/32/glibc --libdir=/tools/lib/32 \
  libc_cv_forced_unwind=yes libc_cv_c_cleanup=yes  &&
make -j6 &&
make install &&
ln -s 32/ld-linux.so.2 /tools/lib/ld-linux.so.2 &&
cd ../.. &&
rm -rf tmp/glibc-{${GLIBC_VERSION},build}
