#!/bin/bash
. profile

export PATH=/tools/bin:${PATH}
tar -xf src/binutils-${BINUTILS_VERSION}.tar.xz -C tmp &&
cd tmp/binutils-${BINUTILS_VERSION} &&
rm -fv etc/standards.info &&
sed -i.bak '/^INFO/s/standards.info //' etc/Makefile.in &&
sed -i "/exception_defines.h/d" ld/testsuite/ld-elf/new.cc &&
sed -i "s/-fvtable-gc //" ld/testsuite/ld-selective/selective.exp &&
mkdir ../binutils-build &&
cd ../binutils-build &&
../binutils-${BINUTILS_VERSION}/configure --prefix=/usr \
  --enable-shared --libdir=/usr/lib --enable-64-bit-bfd --disable-static \
  --with-lib-path=/lib:/lib/32:/usr/lib:/usr/lib/32 &&
make -j6 &&
make install &&
cp ../binutils-${BINUTILS_VERSION}/include/libiberty.h /usr/include &&
cd ../.. &&
rm -rf tmp/binutils-{${BINUTILS_VERSION},build}
