#!/bin/bash
. profile

tar -xf src/gcc-${GCC_VERSION}.tar.xz -C tmp &&
cd tmp/gcc-${GCC_VERSION} &&
sed -i 's/install_to_$(INSTALL_DEST) //' libiberty/Makefile.in &&
sed -i 's@\./fixinc\.sh@-c true@' gcc/Makefile.in &&
sed -i -e 's@/lib64/ld-linux-x86-64.so.2@/lib/ld-linux-x86-64.so.2@g' \
        gcc/config/i386/linux64.h &&
#sed -i -e '/MULTILIB_OSDIRNAMES/d' gcc/config/i386/t-linux64 &&
echo "MULTILIB_OSDIRNAMES = ../lib ../lib/32" >> gcc/config/i386/t-linux64 &&
cd ../.. &&
mkdir tmp/gcc-build &&
cd tmp/gcc-build &&
../gcc-${GCC_VERSION}/configure --prefix=/usr \
  --libexecdir=/usr/lib --enable-shared \
  --enable-threads=posix --enable-__cxa_atexit \
  --enable-clocale=gnu --enable-languages=c,c++ \
  --disable-bootstrap --with-system-zlib &&
make -j6 &&
make install &&
ln -svf ../usr/bin/cpp /lib &&
ln -sv gcc /usr/bin/cc &&
cd ../.. &&
rm -rf tmp/gcc-{${GCC_VERSION},build}
