#!/bin/bash
. profile

tar -xf src/glibc-${GLIBC_VERSION}.tar.xz -C tmp &&
cd tmp/glibc-${GLIBC_VERSION} &&
DL=$(readelf -l /bin/sh | sed -n 's@.*interpret.*/tools\(.*\)]$@\1@p') &&
sed -i "s|libs -o|libs -L/usr/lib -Wl,-dynamic-linker=$DL -o|" \
        scripts/test-installation.pl &&
unset DL &&
sed -i -e 's/"db1"/& \&\& $name ne "nss_test1"/' scripts/test-installation.pl &&
sed -i 's|@BASH@|/bin/bash|' elf/ldd.bash.in &&
patch -Np1 -i ../../src/glibc-${GLIBC_VERSION}-gcc_fix-1.patch &&
patch -Np1 -i ../../src/glibc-${GLIBC_VERSION}-fixes-1.patch &&
sed -i '195,213 s/PRIVATE_FUTEX/FUTEX_CLOCK_REALTIME/' \
nptl/sysdeps/unix/sysv/linux/x86_64/pthread_rwlock_timed{rd,wr}lock.S &&
mkdir ../glibc-build &&
cd ../glibc-build &&
if [ "$(uname -m)" = "i686" ]; then
  echo "CFLAGS += -march=i686 -mtune=native -O3 -pipe" > configparms
fi &&
echo "slibdir=/lib" >> configparms &&
../glibc-${GLIBC_VERSION}/configure --prefix=/usr \
  --disable-profile --enable-add-ons \
  --enable-kernel=2.6.37 --libexecdir=/usr/lib/glibc \
  --libdir=/usr/lib &&
make -j6 &&
cp -v ../glibc-${GLIBC_VERSION}/iconvdata/gconv-modules iconvdata &&
touch /etc/ld.so.conf &&
if [ "$(uname -m)" = "x86_64" ]; then
  sed -i -e 's@/lib64/ld-linux-x86-64.so.2@/lib/ld-linux-x86-64.so.2@' elf/ldd
fi &&
make install &&
make localedata/install-locales &&
cd ../.. &&
cp 6-glibc-files/nsswitch.conf /etc &&
cp -v --remove-destination /usr/share/zoneinfo/Canada/Pacific /etc/localtime &&
cp 6-glibc-files/ld.so.conf /etc &&
rm -rf tmp/glibc-{${GLIBC_VERSION},build}
