#!/bin/bash
. profile

tar -xf src/glibc-${GLIBC_VERSION}.tar.xz -C tmp &&
cd tmp/glibc-${GLIBC_VERSION} &&
sed -i 's|libs -o|libs -L/usr/lib/32 -Wl,-dynamic-linker=/lib/ld-linux.so.2 -o|' scripts/test-installation.pl &&
sed -i -e 's/"db1"/& \&\& $name ne "nss_test1"/' scripts/test-installation.pl &&
sed -i 's|@BASH@|/bin/bash|' elf/ldd.bash.in &&
patch -Np1 -i ../../src/glibc-${GLIBC_VERSION}-gcc_fix-1.patch &&
patch -Np1 -i ../../src/glibc-${GLIBC_VERSION}-fixes-1.patch &&
sed -i '195,213 s/PRIVATE_FUTEX/FUTEX_CLOCK_REALTIME/' \
nptl/sysdeps/unix/sysv/linux/x86_64/pthread_rwlock_timed{rd,wr}lock.S &&
mkdir ../glibc-build &&
cd ../glibc-build &&
echo "CFLAGS += -march=native -O3 -pipe" > configparms &&
echo "slibdir=/lib/32" >> configparms &&
CC="gcc -m32" CXX="g++ -m32" \
../glibc-${GLIBC_VERSION}/configure --prefix=/usr \
  --disable-profile --enable-add-ons \
  --enable-kernel=2.6.37 --libexecdir=/usr/lib/32/glibc \
  --libdir=/usr/lib/32 \
  --host=i686-pc-linux-gnu &&
make -j6 &&
make install &&
ln -s 32/ld-linux.so.2 /lib/ld-linux.so.2 &&
cd ../.. &&
rm -rf tmp/glibc-{${GLIBC_VERSION},build}
