#!/bin/bash
. profile

tar -xf src/inetutils-${INETUTILS_VERSION}.tar.xz -C tmp &&
cd tmp/inetutils-${INETUTILS_VERSION} &&
./configure --prefix=/usr --libexecdir=/usr/sbin \
  --localstatedir=/var \
  --disable-ifconfig --disable-logger --disable-syslogd \
  --disable-whois --disable-servers &&
make -j6 &&
make check &&
make install &&
make -C doc html &&
make -C doc install-html docdir=/usr/share/doc/inetutils-${INETUTILS_VERSION} &&
mv -v /usr/bin/{hostname,ping,ping6} /bin &&
mv -v /usr/bin/traceroute /sbin && 
cd ../.. &&
rm -rf tmp/inetutils-${INETUTILS_VERSION}
