#!/bin/bash
. profile

tar -xf src/ncurses-${NCURSES_VERSION}.tar.xz -C tmp &&
cd tmp/ncurses-${NCURSES_VERSION} &&
./configure --prefix=/usr --with-shared \
  --without-debug --enable-widec &&
make -j6 &&
make install &&
mv -v /usr/lib/libncursesw.so.5* /lib &&
ln -sfv ../../lib/libncursesw.so.5 /usr/lib/libncursesw.so &&
for lib in ncurses form panel menu ; do \
    rm -vf /usr/lib/lib${lib}.so ; \
    echo "INPUT(-l${lib}w)" >/usr/lib/lib${lib}.so ; \
    ln -sfv lib${lib}w.a /usr/lib/lib${lib}.a ; \
done &&
rm -vf /usr/lib/libcursesw.so &&
echo "INPUT(-lncursesw)" >/usr/lib/libcursesw.so &&
ln -sfv libncurses.so /usr/lib/libcurses.so &&
ln -sfv libncursesw.a /usr/lib/libcursesw.a &&
ln -sfv libncurses.a /usr/lib/libcurses.a &&
mkdir -v       /usr/share/doc/ncurses-${NCURSES_VERSION} &&
cp -v -R doc/* /usr/share/doc/ncurses-${NCURSES_VERSION} &&
cd ../.. &&
rm -rf tmp/ncurses-${NCURSES_VERSION}
