#!/bin/bash
. profile

tar -xf src/ncurses-${NCURSES_VERSION}.tar.xz -C tmp &&
cd tmp/ncurses-${NCURSES_VERSION} &&
CC="gcc -m32" CXX="g++ -m32" \
./configure --prefix=/usr --with-shared \
  --without-debug --enable-widec --libdir=/usr/lib/32 &&
make -j6 &&
make install &&
install -d -m755 /usr/lib/32/bin &&
mv /usr/bin/ncursesw5-config /usr/lib/32/bin &&
mv -v /usr/lib/32/libncursesw.so.5* /lib/32 &&
ln -sfv ../../../lib/32/libncursesw.so.5 /usr/lib/32/libncursesw.so &&
for lib in ncurses form panel menu ; do \
    rm -vf /usr/lib/32/lib${lib}.so ; \
    echo "INPUT(-l${lib}w)" >/usr/lib/32/lib${lib}.so ; \
    ln -sfv lib${lib}w.a /usr/lib/32/lib${lib}.a ; \
done &&
rm -vf /usr/lib/32/libcursesw.so &&
echo "INPUT(-lncursesw)" >/usr/lib/32/libcursesw.so &&
ln -sfv libncurses.so /usr/lib/32/libcurses.so &&
ln -sfv libncursesw.a /usr/lib/32/libcursesw.a &&
ln -sfv libncurses.a /usr/lib/32/libcurses.a &&
cd ../.. &&
rm -rf tmp/ncurses-${NCURSES_VERSION}
